.container {
  margin-top: 20px;
}

.auth-container {
  display: flex;
  align-items: center;
  gap: 20px;
}

.auth-button {
  color: #ffffff;
}

.table-container {
  width: 100%;
  overflow-x: scroll;
}

.table-container table {
  table-layout: fixed;
}

.table-container td {
  width: 300px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.table-head {
  position: sticky;
  top: 0;
  z-index: 10;
  background: #ffffff;
  box-shadow: 0 1px 0 0 #dee2e6;
}

.table-head__cell {
  text-align: center;
  vertical-align: middle;
}

.table-body__cell {
  max-width: 400px;
  overflow-wrap: break-word;
}

#main_table tr.disabled-row {
  background-color: #ececec;
  font-weight: 900;
}

.hidden {
  display: none;
}

.solo-msg {
  padding: 15px;
  text-align: center;
  width: 100%;
}

.solo-msg__success {
  background-color: darkgreen;
  color: white;
}

.solo-msg__error {
  background-color: darkred;
  color: white;
}
